Invalid UTF-8 when converting from 2.0.19 to 3.2.7

Converting from other board software? Good decision! Need help? Have a question about a convertor? Wish to offer a convertor package? Post here.
Post Reply
s.gyseman
Registered User
Posts: 3
Joined: Wed Jun 05, 2019 9:52 am

Invalid UTF-8 when converting from 2.0.19 to 3.2.7

Post by s.gyseman » Wed Jun 05, 2019 10:17 am

Hi all,
Long time user, first time poster. I am updating a long neglected PHPBB from version 2 to 3, without much success.
I am trying to run the database conversion tool but it gives an error.

Currently running running phpBB 2.0.19 at themutepoint.com pages.

Database server
Server: Localhost via UNIX socket
Server type: MariaDB
Server version: 10.2.24-MariaDB - MariaDB Server
Protocol version: 10
Server charset: UTF-8 Unicode (utf8)

Web server
cpsrvd 11.80.0.12
Database client version: libmysql - 5.1.73
PHP extension: mysqliDocumentation curlDocumentation mbstringDocumentation
PHP version: 7.2.7

I have followed the instructions here viewtopic.php?t=1213555 but during conversion, it stops and shows this message:

Information
Invalid UTF-8 input

I have edited public_html/rpg/language/lang_english/lang_main.php
FROM

Code: Select all

$lang['ENCODING'] = 'iso-8859-1';
TO

Code: Select all

$lang['ENCODING'] = 'utf-8';
Whereas previously the error would come up after some time converting, it now comes up before conversion is really started (right after clicking "Continue").
What am I doing wrong?

s.gyseman
Registered User
Posts: 3
Joined: Wed Jun 05, 2019 9:52 am

Re: Invalid UTF-8 when converting from 2.0.19 to 3.2.7

Post by s.gyseman » Thu Jun 06, 2019 1:22 pm

I have solved this by installing a slightly older iteration of version 3 (3.0.14 to be exact) onto the system where my boards are hosted. This went through the conversion process without a hitch and I even found a nice Style to place on it.

Thanks all.
Last edited by Brf on Thu Jun 06, 2019 1:37 pm, edited 1 time in total.
Reason: Removed link

User avatar
Lumpy Burgertushie
Registered User
Posts: 66323
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Invalid UTF-8 when converting from 2.0.19 to 3.2.7

Post by Lumpy Burgertushie » Thu Jun 06, 2019 4:23 pm

now you need to upgrade from 3.0.14 to 3.2.7 .
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.2 Styles by PlanetStyles.net

If a tree falls in the forest and nobody is there, does it make a sound?

Post Reply

Return to “[3.2.x] Convertors”